#
# spec file for package python-trello
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-trello
Version:        0.9.1
Release:        lp152.3.2
License:        BSD-3-Clause
Summary:        Python library for interacting with the Trello API
Url:            https://trello.com/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/trello/trello-%{version}.zip
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  unzip
BuildRequires:  fdupes
Requires:       python3-requests >= 0.9.1
BuildArch:      noarch

%python_subpackages

%description
This Python API is simply a wrapper around the Trello API.

%prep
%setup -q -n trello-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/trello
%{python_sitelib}/trello-%{version}-py*.egg-info

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
